Foreman - Bug #35642

New Ul shows creator of host as the 'Host owner' not who actually created
10/18/2022 12:11 PM - Nofar Alfassi

Status: Closed
Priority: Normal
Assignee: Nofar Alfassi
Category: Inventory

Target version:

Difficulty: Fixed in Releases: 3.6.0
Triaged: Yes Found in Releases:
Bugzilla link: 2124658 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/9467
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=2124658

Description of problem:
While creating the host the new Ul shows creator of the host as the 'Host owner' not who actually created
"Created 20 minutes ago by mysuer (updated 20 minutes ago)"

Version-Release number of selected component (if applicable):
6.11

How reproducible:
100%

Steps to Reproduce:

1. Set the 'Host owner, in Administer >> Settings >> Provisioning. (EX: myuser)
2. Login with some other user (or admin).

3. Create a host.

4. Toggle to New UlI.

It will show the below message:

"Created 20 minutes ago by mysuer (updated 20 minutes ago)"

Though the admin user actually created the user. If we verify the Monitor >> Audit it shows the correct creator.

Expected results:

The message should indicate who actually created it or the owner itself. Something like below
"Created 20 minutes ago owned by mysuer (updated 20 minutes ago)"

or

"Created 20 minutes ago for myuser (updated 20 minutes ago)"

Additional info:

If we toggle to legacy Ul we don't see that message.

Audit logs show the correct message.

Associated revisions

Revision c3afd8f0 - 11/23/2022 01:14 PM - Nofar Alfassi
https://bugzilla.redhat.com/show_bug.cgi?id=2124658

Fixes #35642 - update the message in the new Ul to display the host's creator

Add “creator_id" property to the Host model to save the user who created each host.
This property is used in the new host details Ul to display the user who created the host.

History

#1 - 10/18/2022 12:40 PM - Nofar Alfassi

- Subject changed from New Ul shows creator of host as the 'Host owner' not who actually created
to New Ul shows creator of host as the 'Host owner' not who actually created

- Assignee set to Nofar Alfassi

#2 - 10/18/2022 01:02 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9467 added

#3 - 11/23/2022 01:14 PM - The Foreman Bot
- Fixed in Releases 3.6.0 added

#4 - 11/23/2022 02:01 PM - Nofar Alfassi
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|c3afd8f08af993e766abb8170db3a7ch31aca560.

#5 - 12/14/2022 12:00 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
